Skip to content

Verify member OTP

POST
/api/v2.0/stores/{storeId}/members/{memberId}/otp-verification
curl --request POST \
--url https://api.diller.app/api/v2.0/stores/your-store-id/members/m_nsr714RRBEHX/otp-verification \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "otp_code": 1, "action": "example" }'

Verifies the OTP code sent to the member’s phone. The action must match the one used when sending the OTP code.

storeId
required
string
Example
your-store-id
memberId
required
string
Example
m_nsr714RRBEHX
object
otp_code
integer format: int32
action
string
nullable
Examplegenerated
{
"otp_code": 1,
"action": "example"
}

OK

Media typeapplication/json
object
is_ok
boolean
details
string
nullable
Examplegenerated
{
"is_ok": true,
"details": "example"
}

Bad Request

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
errors
object
key
additional properties
Array<string>
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example",
"errors": {
"additionalProperty": [
"example"
]
}
}